Remove obsolete Solaris 8 support

Eric Botcazou ebotcazou@adacore.com
Thu Mar 15 15:22:00 GMT 2012


> If we are, we'll never learn if this code is needed on anything beyond
> Solaris 8 and keep this cruft around basically forever.

So what?  This file is a big kludge and there is no value whatsoever in it 
being elegant or particularly readable or even efficient.

> I'll at least try a bootstrap with the nframes = 2 code ripped out with
> Solaris 9 FCS libc and libthread (and of course the whole rest: latest
> Solaris 9, 10 and 11) and see if anything breaks.

To make things clear upfront: I'll oppose any change that removes something.

-- 
Eric Botcazou



More information about the Libstdc++ mailing list